Skip to main content
POST
/
api
/
v1
/
production-orders
Create Production Order
curl --request POST \
  --url https://api.example.com/api/v1/production-orders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "<string>",
  "salesOrderId": "<string>",
  "productionType": "<string>",
  "category": "<string>",
  "orderQuantity": 123,
  "dueDate": "<string>"
}
'
{
  "id": "<string>",
  "documentId": "<string>",
  "status": "<string>",
  "salesOrderId": "<string>",
  "sales_order_id": "<string>",
  "clientName": "<string>",
  "createdAt": "<string>",
  "productionType": "<string>",
  "production_type": "<string>",
  "category": "<string>",
  "orderQuantity": 123,
  "order_quantity": 123,
  "dueDate": "<string>",
  "due_date": "<string>",
  "client": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
status
string | null
salesOrderId
string | null
productionType
string | null
category
string | null
orderQuantity
integer | null
dueDate
string | null

Response

Successful Response

id
string
required
documentId
string | null
status
string | null
salesOrderId
string | null
sales_order_id
string | null
clientName
string | null
createdAt
string | null
productionType
string | null
production_type
string | null
category
string | null
orderQuantity
integer | null
order_quantity
integer | null
dueDate
string | null
due_date
string | null
client
Client · object